﻿using APIs.Dto;
using AutoMapper;
using Microsoft.AspNetCore.Mvc;
using Models.SqlModel;
using Models.Table;
using Services.Interface;

namespace APIs.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class MapperController : ControllerBase
    {
        public IMapper Mapper { get; }
        private readonly IUserService _tService;


        public MapperController(IMapper mapper, IUserService userService)
        {
            _tService=userService;
            Mapper = mapper;
        }

        [HttpPost]
        public EquipmentTypeDto Test(Users user)
        {
            var userDto = new EquipmentTypeDto();
            Mapper.Map(user, userDto);
            return userDto;

        }
        [HttpGet]
        public EquipmentTypeDto GetTest()
        {
            var userDto = new EquipmentTypeDto();
            List<Users> aa= _tService.GetData();
            Mapper.Map(aa, userDto);
            return userDto;
        }
    }
}

